Bug 1591481 - 389-ds-base: retroChangelog stores plaintext password
Summary: 389-ds-base: retroChangelog stores plaintext password
Keywords:
Status: CLOSED DUPLICATE of bug 1591480
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1592225 1592227
Blocks: 1591482
TreeView+ depends on / blocked
 
Reported: 2018-06-14 20:19 UTC by Laura Pardo
Modified: 2019-10-31 10:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:38:08 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-06-14 20:19:44 UTC
RH Directory Server provides a functionality named retroChangelog that records in a file an attribute with the password in clear text. The attribute is named *unhashed#user#password*. This allows any administrator, having the rights to read (dump) the database, to retrieve the password in clear text.

Comment 2 Cedric Buissart 🐶 2018-06-18 08:49:54 UTC
Created 389-ds-base tracking bugs for this issue:

Affects: fedora-all [bug 1592225]

Comment 4 Cedric Buissart 🐶 2018-06-27 13:38:08 UTC
Closing as duplicate of 1591480 : it is the same nsslapd-unhashed-pw-switch attribute that regulates both retroChangelog & replica plugins behavior.

*** This bug has been marked as a duplicate of bug 1591480 ***


Note You need to log in before you can comment on or make changes to this bug.